Redmine - Defect #8884

Assignee is cleared when updating issue with locked assignee
2011-07-22 17:06 - Dmitry Babenko

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 1.2.2

Resolution: Fixed Affected version: 1.2.0
Description

Steps to reproduce
1. Assign issue to John Doe;
2. Lock John Doe account;
3. Update issue (e.g. change the status to Closed).

Result

e Status changed from New to Closed
¢ Assignee deleted (Jehn-Dee)

Expected result (assignee should stay the same)

e Status changed from New to Closed

Related issues:
Has duplicate Redmine - Patch #6171: Persist 'locked' users across updates Closed 2010-08-18

Associated revisions

Revision 6308 - 2011-07-23 21:24 - Jean-Philippe Lang

Assignee is removed on issue update if assignee account is locked (#8884).

Revision 7770 - 2011-11-11 12:44 - Jean-Philippe Lang
Merged r6308 from trunk (#8884).

History

#1 - 2011-07-23 16:08 - Etienne Massip

- Target version set to Candidate for next minor release

Confirmed on trunk.

#2 - 2011-07-23 21:24 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version changed from Candidate for next minor release to 1.2.2

- Resolution set to Fixed

Fixed in r6308.

#3 - 2011-11-11 12:44 - Jean-Philippe Lang

- Subject changed from Assignee is deleting while updating issue with locked assignee to Assignee is cleared when updating issue with locked
assignee

- Status changed from Resolved to Closed

Merged in r7770.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6308
https://www.redmine.org/projects/redmine/repository/svn/revisions/7770

#4 - 2016-12-26 14:27 - Go MAEDA

- Has duplicate Patch #6171: Persist 'locked' users across updates added

2025-05-01 22


http://www.tcpdf.org

